Skip to Content
inclamoDocs

Add a new category

POST
/api/v1/accounts/{account_id}/portals/{portal_slug}/categories

Add a new category to portal

Authorization

headerAuthorizationBearer <token>

Authenticate with Authorization: Bearer <token> using a user API token from Profile Settings. Available in Chatwoot v4.19.0 and later.

Path Parameters

account_id*integer

The numeric ID of the account

portal_slug*string

The slug of the portal. The numeric portal ID is not accepted.

Request Body

application/json
  1. body
name?string

The name of the category

description?string

A description for the category

position?integer

Category position in the portal list to sort

slug?string

The category slug used in the URL

locale?string

The locale of the category

icon?string

The icon of the category as a string (emoji)

parent_category_id?integer

To define parent category, e.g product documentation has multiple level features in sales category or in engineering category.

associated_category_id?integer

To associate similar categories to each other, e.g same category of product documentation in different languages

Response Body

Success

application/json
  1. response
id?integer
description?string

The text content.

locale?string
name?string
slug?string
position?integer
portal_id?integer
account_id?integer
associated_category_id?integer

To associate similar categories to each other, e.g same category of product documentation in different languages

parent_category_id?integer

To define parent category, e.g product documentation has multiple level features in sales category or in engineering category.

Example Request
curl -X POST 'https://helpdesk.inclamo.com/api/v1/accounts/0/portals/handbook/categories' \  -H 'Content-Type: application/json' \  -d '{}'
Example Response
{  "id": 0,  "description": "string",  "locale": "string",  "name": "string",  "slug": "string",  "position": 0,  "portal_id": 0,  "account_id": 0,  "associated_category_id": 0,  "parent_category_id": 0}